/**
 * Shortcode [rgallery] styles
 */

.rgallery {
  --rgallery-gap: 0.75rem;
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  gap: var(--rgallery-gap);
}

.rgallery-image {
  max-width: var(--rgallery-image-max-width, unset);
  width: auto;
}

/* Gap sizes */
[data-rgallery-gap="none"] {
  --rgallery-gap: 0;
}

[data-rgallery-gap="small"] {
  --rgallery-gap: 1.25rem;
}

[data-rgallery-gap="medium"] {
  --rgallery-gap: 1.75rem;
}

[data-rgallery-gap="large"] {
  --rgallery-gap: 2rem;
}

/* Size */
[data-rgallery-size="small"] {
  --rgallery-image-max-width: 220px;
}

[data-rgallery-size="medium"] {
  --rgallery-image-max-width: 320px;
}

[data-rgallery-size="large"] {
  --rgallery-image-max-width: 420px;
}

[data-rgallery-size="icons"] .rgallery-image {
  --rgallery-image-max-width: 120px;
  max-height: 48px;
  min-height: 48px;
}

.rgallery-caption {
  font-size: 0.875rem;
  color: var(--color-text-dark);
  margin-top: 0.4rem;
  text-align: center;
}

/* integrations */
[data-align="center"] .rgallery {
  justify-content: center;
}

.rgallery:not([data-rgallery-size="icons"]) .rgallery-image {
  height: 100%;
  object-fit: cover;
  border: 1px solid var(--color-stroke); /* this */
}
